version: "3.7"

services:

  app_proxy:
    environment:
      APP_HOST: $APP_PASSKY_SERVER_IP
      APP_PORT: 80
      PROXY_AUTH_ADD: "false"

  database:
    image: 'rabbitcompany/passky-database:v7.1.0@sha256:3092a9b88a5a443bbbfe566856a197f336dacfc543e4e4a66df4d2cd5423fa27'
    restart: on-failure
    stop_grace_period: 1m
    environment:
      MYSQL_DATABASE: "passky"
      MYSQL_USER: "passky"
      MYSQL_PASSWORD: "${APP_PASSWORD}"
      MYSQL_ROOT_PASSWORD: "${APP_PASSWORD}"
      BACKUP_ENABLED: "false"
    volumes:
      - ${APP_DATA_DIR}/data/passky:/var/lib/mysql
    networks:
      default:
        ipv4_address: $APP_PASSKY_DB_IP

  api:
    image: 'rabbitcompany/passky-api:v7.1.0@sha256:99f6fa64977f8bbcf6357317f8c6426e6b109ad157e981ebf25f762f4259a90c'
    restart: on-failure
    stop_grace_period: 1m
    environment:
      SERVER_LOCATION: "US"
      SERVER_CORES: 1
      ADMIN_USERNAME: "admin"
      ADMIN_PASSWORD: "${APP_PASSWORD}"
      MYSQL_HOST: "${APP_PASSKY_DB_IP}"
      MYSQL_DATABASE: "passky"
      MYSQL_USER: "passky"
      MYSQL_PASSWORD: "${APP_PASSWORD}"
      MAIL_ENABLED: "false"
      ACCOUNT_MAX: 100
      ACCOUNT_MAX_PASSWORDS: 1000
      YUBI_CLOUD: "https://api.yubico.com/wsapi/2.0/verify"
      YUBI_ID: 67857
      LIMITER_ENABLED: "true"
      LIMITER_GET_INFO: 1
      LIMITER_GET_STATS: 1
      LIMITER_GET_TOKEN: 3
      LIMITER_GET_PASSWORDS: 2
      LIMITER_SAVE_PASSWORD: 2
      LIMITER_EDIT_PASSWORD: 2
      LIMITER_DELETE_PASSWORD: 2
      LIMITER_CREATE_ACCOUNT: 10
      LIMITER_DELETE_ACCOUNT: 10
      LIMITER_IMPORT_PASSWORDS: 10
      LIMITER_FORGOT_USERNAME: 60
      LIMITER_ENABLE_2FA: 10
      LIMITER_DISABLE_2FA: 10
      LIMITER_ADD_YUBIKEY: 10
      LIMITER_REMOVE_YUBIKEY: 10
    networks:
      default:
        ipv4_address: $APP_PASSKY_SERVER_IP
